unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, Menus, StdCtrls, ComCtrls, FileCtrl, jpeg, Grids, Outline,
  DirOutln, JPGComment, ActnList;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Splitter1: TSplitter;
    ImageBox: TGroupBox;
    Splitter2: TSplitter;
    CommBox: TGroupBox;
    StatusBar1: TStatusBar;
    Memo1: TMemo;
    NavBox: TGroupBox;
    FileBox: TGroupBox;
    ScrollBox1: TScrollBox;
    Image1: TImage;
    FileListBox1: TFileListBox;
    DriveComboBox1: TDriveComboBox;
    DirectoryListBox1: TDirectoryListBox;
    JPGComment1: TJPGComment;
    CheckBox1: TCheckBox;
    Memo2: TMemo;
    Button1: TButton;
    ActionList1: TActionList;
    Back: TAction;
    Forward: TAction;
    procedure FileListBox1Change(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure CheckBox1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure BackExecute(Sender: TObject);
    procedure ForwardExecute(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

{Loading JPG and comment, writing comment of lastfile}
procedure TForm1.FileListBox1Change(Sender: TObject);
begin
  IF JPGComment1.Filename <>'' THEN
  BEGIN
    JPGComment1.Comment:=Memo1.Text;
    JPGComment1.WriteComment;
  END;
  JPGComment1.Filename:='';
  Memo1.Text:='';
  IF lowercase(copy(FileListBox1.FileName,length(FileListBox1.FileName)-3,4))='.jpg' THEN
  BEGIN
    image1.picture.LoadFromFile(FileListBox1.FileName);
    JPGComment1.Filename:=FileListBox1.FileName;
    JPGComment1.ReadComment;
    Memo1.Text:=JPGComment1.Comment;
  END;
  Memo1.Selstart:=length(Memo1.Text); {place cursor at end of comment}
end;

{ being sure to save comment on exit}
procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  IF JPGComment1.Filename <>'' THEN
  BEGIN
    JPGComment1.Comment:=Memo1.Text;
    JPGComment1.WriteComment;
  END;

end;

{Disable autofit}
procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  IF CheckBox1.Checked THEN
  BEGIN
    Image1.Align:=alClient;
    Image1.Stretch:=true;
  END
  ELSE
  BEGIN
    Image1.Align:=alNone;
    Image1.Stretch:=false;
  END;
end;

{Show some Infos}
procedure TForm1.Button1Click(Sender: TObject);
begin
  IF Memo2.visible THEN
    Memo2.visible:=false
  ELSE
    Memo2.Visible:=true;
end;

{jump back in filelist}
procedure TForm1.BackExecute(Sender: TObject);
begin
  IF Filelistbox1.Itemindex > 0 THEN
  BEGIN
    Filelistbox1.Itemindex:=Filelistbox1.Itemindex-1;
    FileListBox1Change(Sender);

  END;
end;

{jump forward in filelist}
procedure TForm1.ForwardExecute(Sender: TObject);
begin
  IF Filelistbox1.Itemindex < Filelistbox1.Items.Count-1 THEN
  BEGIN
    Filelistbox1.Itemindex:=Filelistbox1.Itemindex+1;
    FileListBox1Change(Sender);
  END;
end;

end.
